## org.apache.lucene.queryParser
Class QueryParserTestBase.QPTestFilter

    java.lang.Object
      org.apache.lucene.util.AttributeSource
          org.apache.lucene.analysis.TokenStream
              org.apache.lucene.analysis.TokenFilter
                  org.apache.lucene.queryParser.QueryParserTestBase.QPTestFilter

All Implemented Interfaces:
  Closeable

Enclosing class:
  QueryParserTestBase

    public static final class QueryParserTestBase.QPTestFilter

extends org.apache.lucene.analysis.TokenFilter

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource
`org.apache.lucene.util.AttributeSource.AttributeFactory, org.apache.lucene.util.AttributeSource.State`

Field Summary

Fields inherited from class org.apache.lucene.analysis.TokenFilter
`input`

Constructor Summary
`QueryParserTestBase.QPTestFilter(org.apache.lucene.analysis.TokenStream in)` Filter which discards the token 'stop' and which expands the token 'phrase' into 'phrase1 phrase2'

Method Summary
`boolean` `incrementToken()`

Methods inherited from class org.apache.lucene.analysis.TokenFilter
`close, end, reset`

Methods inherited from class org.apache.lucene.util.AttributeSource
`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QueryParserTestBase.QPTestFilter

    public QueryParserTestBase.QPTestFilter(org.apache.lucene.analysis.TokenStream in)

  Filter which discards the token 'stop' and which expands the token 'phrase' into 'phrase1 phrase2'

Method Detail

### incrementToken

    public boolean incrementToken()
                           throws IOException

  Specified by:
    `incrementToken` in class `org.apache.lucene.analysis.TokenStream`
  Throws:
    `IOException`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.